/************************************************************************
*                                                                       *
*  This class can be used to convert integers read as strings to values	*
*  of type int.	  It catches NumberFormatException exceptions.		*
*                                                                       *
*  The following constructor and public methods are included in this    *
*  class:                                                               *
*                                                                       *
*	ConvertToInt ( String input_string )				*
*	   tries to convert input_string to an int, trapping for	*
*	   NumberFormatException exceptions 				*
*                                                                       *
*	public boolean conversionError () 				*
*	   returns true if there was a NumberFormatException 		*
*	   exception;  false otherwise					*
*                                                                       *
*	public int intValue () 						*
*	  returns the associated int value without checking that the	*
*	  conversion was successful (You should check that the 
*         conversion was successful before calling intValue)		*
*                                                                       *
*	public String stringValue () 					*
*	  returns the input_string to ConvertToInt			*
*                                                                       *
*                                       Ken Jackson, 13 March 1998.     *
*                                                                       *
************************************************************************/


class ConvertToInt {

    private String input_string ;
    private int converted_int ;
    private boolean error ;

    ConvertToInt ( String input_string ) {

       this.input_string = input_string ;

       try {
           // Trim white space from input_string and try to convert it to
           // an int.
           converted_int = Integer.parseInt ( input_string.trim() ) ;
           error = false ;
       } 
       catch (NumberFormatException exception) {
           error = true ;
       }

    } // ConvertToInt constructor
       
    public boolean conversionError () {
       return error ;
    }
        
    public int intValue () {
       return converted_int ;
    }

    public String stringValue () {
       return input_string ;
    }

}
        
