/**
 * DemoApplet: an applet that shows how to use the Square class.
 */

import java.applet.Applet;
import java.awt.*;
import java.util.*;
   
   public class DemoApplet extends java.applet.Applet {
      // the applet's own size
      private Dimension size = new Dimension (450, 250);
      
      // the squares
      // These squares are not part of an Othello board, so the "row" and "column"
      // parameters for the constructor don't mean anything here; but of course we
      // have to supply them anyway.
      Square sq1 = new Square (0,0);
      Square sq2 = new Square (0,0);
      
      // the component to hold the squares
      private Panel display = new Panel (new GridLayout (1,2));
   

   /**
    * clickSquare: do what needs to be done when the user clicks the mouse in the Square at row, col.
    * @param row int
    * @param col int
    */
   
   public void clickSquare (int which) {
      switch (which) {
         case 1:
            nextState (sq1);
            break;
         case 2:
            nextState (sq2);
            break;
      }   
   }

   public void init ( ) {
      // Here's how to change the size of the applet.
      resize (size);
      
      // Prepare the display: add the display to the applet's own component,
      // initialize the squares and add them to the display.
      add (display);
      sq1.setState (Square.EMPTY);
      sq2.setState (Square.EMPTY);
      display.add (sq1);
      display.add (sq2);
      
      // Give the squares listeners so that we can hear mouse clicks in the squares.
      sq1.addMouseListener (new DemoMouseListener (this, 1));
      sq2.addMouseListener (new DemoMouseListener (this, 2));
   }

   /**
    * nextState: cycle a square's state to the next colour.
    * @param sq Project.Square
    */
   private void nextState (Square sq) {
      switch (sq.getState()) {
         case Square.EMPTY:
            sq.setState (Square.WHITE);
            break;
         case Square.WHITE:
            sq.setState (Square.BLACK);
            break;
         case Square.BLACK:
            sq.setState (Square.EMPTY);
            break;
      }   
      repaint();
   }
}
